Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::MemoryBlocks Class Reference

`#include <memorypool.h>`

List of all members.

## Public Member Functions

- ~MemoryBlocks ()

## Public Attributes

- std::vector< void * > _freeObject [MAXNBTHREADS]
- std::vector< void * > _allocatedMemory

## Constructor & Destructor Documentation

tlp::MemoryBlocks::~MemoryBlocks | ( |  | ) | `[inline]`

## Member Data Documentation

std::vector<void * > tlp::MemoryBlocks::_allocatedMemory

std::vector<void * > tlp::MemoryBlocks::_freeObject[MAXNBTHREADS]

Tulip Software by LaBRI Visualization Team 2001 - 2012